Bug 240166 - Review Request: perl-Class-Data-Accessor - Inheritable, overridable class and instance data accessor creation
Review Request: perl-Class-Data-Accessor - Inheritable, overridable class and...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Class-Dat...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-15 12:00 EDT by Chris Weyl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 19:32:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-15 12:00:15 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Class-Data-Accessor-0.03-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Class-Data-Accessor.spec

Description:
Class::Data::Accessor is the marriage of Class::Accessor and
Class::Data::Inheritable into a single module. It is used for creating
accessors to class data that overridable in subclasses as well as in class
instances.
Comment 1 Jason Tibbitts 2007-05-15 17:11:39 EDT
I note that 0.04000 (for whatever reason) came out a few days before you
submitted your review.  It looks like the build process is a bit different in
the new version, too.  I can go ahead and run a quick review on this version but
 I can also review an updated version if you like.

Note that CPAN says "GPL and Artistic" but the code itself says just "Artistic":
    This module is free software. It may be used, redistributed and/or
    modified under the terms of the Perl Artistic License (see
    http://www.perl.com/perl/misc/Artistic.html)

You might as well go ahead and add BR: perl(Test::Spelling) so you can run all
of the tests.  Or am I looking at the new version?  Yes, I'm in the wrong tree,
sorry.  The new version has more tests.

* source files match upstream:
    package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
X license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
X latest version is being packaged.
? BuildRequires are proper (Test::Spelling is useful for the new vesion)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Class::Data::Accessor) = 0.03
   perl-Class-Data-Accessor = 0.03-1.fc7
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=21,  1 wallclock secs ( 0.12 cusr +  0.04 csys =  0.16 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Chris Weyl 2007-05-15 18:56:55 EDT
I think there's a conspiracy whereby CPAN authors wait until after I've packaged
a module before they release an update.  :)

Anyways, new packages follow.

Note that one of the author tests fails: pod_spelling.t, on "runtime".  Due to
this, I've left TEST_AUTHOR undefined...  I'm open to taking a different
approach, however.

SRPM URL:
http://home.comcast.net/~ckweyl/perl-Class-Data-Accessor-0.04000-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Class-Data-Accessor.spec
Comment 3 Jason Tibbitts 2007-05-15 19:48:14 EDT
I suppose you could just cat "runtime" onto the list of stopwords at the end of
pod_spelling.t if your really wanted to run that test.  Or just delete that test
if you don't.

The license is still off, though.

Otherwise I think this package is fine; I'll trust you to fix the license and
leave it up to you to do what you wish with the tests.

APPROVED, just change to License: Artistic when you check in.
Comment 4 Chris Weyl 2007-05-15 20:39:45 EDT
New Package CVS Request
=======================
Package Name: perl-Class-Data-Accessor
Short Description: Inheritable, overridable class and instance data accessor creation
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 5 Chris Weyl 2007-05-15 22:42:22 EDT
(In reply to comment #3)
> The license is still off, though.

Nuts, I should know better than to try to do these things as I'm headed towards
a meeting.

In any case, the differing terms stem from Makefile.PL defining the license as
perl.  I've opened a RT bug and will update the license tag to just 'Artistic'
pre-import.

http://rt.cpan.org/Ticket/Display.html?id=27146
Comment 6 Chris Weyl 2007-05-16 19:32:16 EDT
License tag updated; imported and building.  Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.